Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.project
Class DataNodeConfigInfo

    java.lang.Object
      org.apache.cayenne.project.DataNodeConfigInfo

    public class DataNodeConfigInfo

extends Object

Stores information necessary to reconfigure nodes of existing projects.

Author:
  Andrus Adamchik

Field Summary
`protected String` | `adapter`
`protected String` | `dataSource`
`protected String` | `domain`
`protected File` | `driverFile`
`protected String` | `name`

Constructor Summary
`DataNodeConfigInfo()`

Method Summary
`DataNode` | `findDataNode(Configuration config)` Searches for the DataNode described by this DataNodeConfigInfo in the provided configuration object.
`String` | `getAdapter()` Returns the adapter.
`String` | `getDataSource()` Returns the dataSource.
`String` | `getDomain()` Returns the domain.
`File` | `getDriverFile()` Returns the driverFile.
`String` | `getName()` Returns the name.
`void` | `setAdapter(String adapter)` Sets the adapter.
`void` | `setDataSource(String dataSource)` Sets the dataSource.
`void` | `setDomain(String domain)` Sets the domain.
`void` | `setDriverFile(File driverFile)` Sets the driverFile.
`void` | `setName(String name)` Sets the name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### domain

    protected String domain

### adapter

    protected String adapter

### dataSource

    protected String dataSource

### driverFile

    protected File driverFile

Constructor Detail

### DataNodeConfigInfo

    public DataNodeConfigInfo()

Method Detail

### findDataNode

    public DataNode findDataNode(Configuration config)
                          throws ProjectException

  Searches for the DataNode described by this DataNodeConfigInfo in the provided configuration object. Throws ProjectException if there is no matching DataNode.

  Throws:
    `ProjectException`

### getAdapter

    public String getAdapter()

  Returns the adapter.

  Returns:
    String

### getDataSource

    public String getDataSource()

  Returns the dataSource.

  Returns:
    String

### getDomain

    public String getDomain()

  Returns the domain.

  Returns:
    String

### getDriverFile

    public File getDriverFile()

  Returns the driverFile.

  Returns:
    File

### getName

    public String getName()

  Returns the name.

  Returns:
    String

### setAdapter

    public void setAdapter(String adapter)

  Sets the adapter.

  Parameters:
    `adapter` - The adapter to set

### setDataSource

    public void setDataSource(String dataSource)

  Sets the dataSource.

  Parameters:
    `dataSource` - The dataSource to set

### setDomain

    public void setDomain(String domain)

  Sets the domain.

  Parameters:
    `domain` - The domain to set

### setDriverFile

    public void setDriverFile(File driverFile)

  Sets the driverFile.

  Parameters:
    `driverFile` - The driverFile to set

### setName

    public void setName(String name)

  Sets the name.

  Parameters:
    `name` - The name to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.